Bug 237478 - security/ruby-bitwarden: plist issue when RUBY_SUFFIX!=24
Summary: security/ruby-bitwarden: plist issue when RUBY_SUFFIX!=24
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Reifenberger
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2019-04-23 02:22 UTC by Koichiro Iwao
Modified: 2019-05-14 02:42 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mr)
meta: merge-quarterly?


Attachments
patch (925 bytes, patch)
2019-04-23 05:34 UTC, Koichiro Iwao
meta: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2019-04-23 02:22:29 UTC
Just reporting. When I have a time, I'll try to fix this.


====> Running Q/A tests (stage-qa)      
Warning: Dependencies defined in /wrkdirs/usr/ports/security/ruby-bitwarden/work/stage/usr/local/www/rubywarden/Gemfile
are not satisfied   
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist                                  
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%WWWDIR%%/db/migrate/20180324145941_create_users.rb
Error: Orphaned: %%WWWDIR%%/db/migrate/20180324151103_create_devices.rb                                                
Error: Orphaned: %%WWWDIR%%/db/migrate/20180324151113_create_folders.rb
Error: Orphaned: %%WWWDIR%%/db/migrate/20180324151117_create_ciphers.rb
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%WWWDIR%%/db/migrate/201803%%RUBY_SUFFIX%%145941_create_users.rb
Error: Missing: %%WWWDIR%%/db/migrate/201803%%RUBY_SUFFIX%%151103_create_devices.rb
Error: Missing: %%WWWDIR%%/db/migrate/201803%%RUBY_SUFFIX%%151113_create_folders.rb
Error: Missing: %%WWWDIR%%/db/migrate/201803%%RUBY_SUFFIX%%151117_create_ciphers.rb
===> Error: Plist issues found.
*** Error code 1
Comment 1 Koichiro Iwao freebsd_committer 2019-04-23 05:27:42 UTC
This plist issue only occurs when built with Ruby 2.5.
Comment 2 Koichiro Iwao freebsd_committer 2019-04-23 05:34:28 UTC
Created attachment 203905 [details]
patch
Comment 3 Koichiro Iwao freebsd_committer 2019-04-23 05:35:48 UTC
Needs to be merged into quarterly.
Comment 4 commit-hook freebsd_committer 2019-05-02 13:09:51 UTC
A commit references this bug:

Author: mr
Date: Thu May  2 13:08:55 UTC 2019
New revision: 500659
URL: https://svnweb.freebsd.org/changeset/ports/500659

Log:
  Apply fix for installation with ruby 2.5

  PR:		237478
  Submitted by:	Koichiro Iwao

Changes:
  head/security/ruby-bitwarden/pkg-plist
Comment 5 Koichiro Iwao freebsd_committer 2019-05-10 08:54:45 UTC
And quarterly?
Comment 6 commit-hook freebsd_committer 2019-05-11 14:49:27 UTC
A commit references this bug:

Author: mr
Date: Sat May 11 14:48:42 UTC 2019
New revision: 501262
URL: https://svnweb.freebsd.org/changeset/ports/501262

Log:
  MFH: r500659

  Apply fix for installation with ruby 2.5

  PR:		237478
  Submitted by:	Koichiro Iwao

  Approved by:	portmgr (blanket: Build, runtime or packaging fixes, if the quarterly branch version is currently broken)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/security/ruby-bitwarden/pkg-plist
Comment 7 Koichiro Iwao freebsd_committer 2019-05-14 02:42:15 UTC
thank you for committing.